| Kea 3.0.2-git

pkt_filter.h File Reference
`#include <dhcp/pkt4.h>`
`#include <asiolink/io_address.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for pkt_filter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::InvalidPacketFilter
| Exception thrown when invalid packet filter object specified. More...
class | isc::dhcp::PktFilter
| Abstract packet handling class. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< PktFilter > | isc::dhcp::PktFilterPtr
| Pointer to a PktFilter object.